Bug 230373 - devel/tbb: update to 2018.5
Summary: devel/tbb: update to 2018.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ganael LAPLANCHE
URL: https://software.intel.com/en-us/arti...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-05 05:51 UTC by Charlie Li
Modified: 2018-08-20 10:30 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (martymac)


Attachments
2018.5 (3.21 KB, patch)
2018-08-05 05:51 UTC, Charlie Li
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie Li 2018-08-05 05:51:04 UTC
Created attachment 195878 [details]
2018.5

2018 Update 5 includes "ARMv8 support" among other things in the release notes, so enable building for aarch64.

Passes testport on cross-build.
Comment 1 Ganael LAPLANCHE freebsd_committer 2018-08-06 12:19:13 UTC
Hi,

Thanks for your report! I'll be able to start working on it within a week or two.

Best regards,
Ganael
Comment 2 commit-hook freebsd_committer 2018-08-20 10:29:40 UTC
A commit references this bug:

Author: martymac
Date: Mon Aug 20 10:28:41 UTC 2018
New revision: 477645
URL: https://svnweb.freebsd.org/changeset/ports/477645

Log:
  Update to 2018.5 and enable build on aarch64

  (dependent ports' revisions NOT bumped as that new version should be binary
  compatible with previous version 2018.2)

  PR:		230373
  Submitted by:	Charlie Li <ml+freebsd@vishwin.info>

Changes:
  head/devel/tbb/Makefile
  head/devel/tbb/distinfo
  head/devel/tbb/files/patch-build-FreeBSD.inc
  head/devel/tbb/pkg-plist
Comment 3 Ganael LAPLANCHE freebsd_committer 2018-08-20 10:30:14 UTC
Committed, thanks!